<script lang="ts">
  import { Badge, Tooltip } from 'flowbite-svelte';
  import { findKnownTag } from '$lib/tags';

  export let tag: string;
  $: knownTag = findKnownTag([tag]);
</script>

<Badge style="background-color: {knownTag?.color || 'dimgray'}">
  <span class="text-gray-800 font-semibold">
    {knownTag?.name || tag}
  </span>
</Badge>
{#if knownTag?.description}
  <Tooltip>{knownTag.description}</Tooltip>
{/if}
